Boomi Platform API Reference (1.0.0) - TradingPartnerComponent
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
The Trading Partner Component object allows users to retrieve, query, create, update, and delete Trading Partner components through the Platform API.
Note: Due to the large number of fields and options for this object, Boomi recommends that you use the Platform and Partner API connectors to create Trading Partner components through the API. For detailed information about the fields, refer to the Trading Partner component information or the help provided for the Trading Partner component within the user interface.
For more details about the partner components object structure, refer to Trading partner components.
Required Privileges
| Access Level | Privilege |
|---|---|
| Read | API — Use the Boomi Platform API to access account data (Read) |
| Write | API — Use the Boomi Platform API to access account data (Read + Write) |
Creates a TradingPartnerComponent object
- This operation creates a Trading Partner Component object with a specified component name.
- The request body requires the standard, classification, and componentName fields. If you omit the folderName field, you must use the folderId field — and vice versa. If you omit the componentID field and the IDs of any certificates you want to create, their values are assigned when you create the components. If you leave off the folderID field when creating a component, it assigns a value.
- Includes the organizationId field only if the trading partner is to reference an Organization component, in which case the field value is the ID of the Organization component. A request specifying the organizationId field populates the ContactInformation fields with the data from the referenced Organization component.
Authorizations:
Request Body schema: optional
required | object (ContactInfo) |
required | object (PartnerCommunication) |
required | object (PartnerDocumentTypes) |
required | object (PartnerInfo) |
| PartnerCommunicationTypes | Array of strings |
| branchId | string |
| branchName | string |
| classification | string Enum: "tradingpartner" "mycompany" |
| componentId | string |
| componentName | string |
| deleted | boolean |
| description | string |
| folderId | integer <int64> |
| folderName | string |
| identifier | string |
| organizationId | string |
| standard | string Enum: "x12" "edifact" "hl7" "custom" "rosettanet" "tradacoms" "odette" |
Responses
Response Schema:
required | object (ContactInfo) |
required | object (PartnerCommunication) |
required | object (PartnerDocumentTypes) |
required | object (PartnerInfo) |
| PartnerCommunicationTypes | Array of strings |
| branchId | string |
| branchName | string |
| classification | string Enum: "tradingpartner" "mycompany" |
| componentId | string |
| componentName | string |
| deleted | boolean |
| description | string |
| folderId | integer <int64> |
| folderName | string |
| identifier | string |
| organizationId | string |
| standard | string Enum: "x12" "edifact" "hl7" "custom" "rosettanet" "tradacoms" "odette" |
Request samples
- Payload
{- "PartnerCommunication": {
- "FTPCommunicationOptions": {
- "FTPSettings": {
- "host": "ftp.wholesaling.com",
- "port": [
- "BigInteger",
- 1010
], - "user": "tom.miller",
- "FTPSSLOptions": {
- "useClientAuthentication": false,
- "sslmode": "none"
}, - "useDefaultSettings": false,
- "connectionMode": "active"
}, - "FTPGetOptions": {
- "remoteDirectory": "/usr/local/bestwholesaling/outbox",
- "fileToMove": "*.xml",
- "maxFileCount": [
- "BigInteger",
- 200
], - "useDefaultGetOptions": false,
- "ftpAction": "actionget",
- "transferType": "ascii"
}, - "FTPSendOptions": {
- "remoteDirectory": "/home/tommiller/new",
- "moveToDirectory": "/home/tommiller/inbox",
- "useDefaultSendOptions": false,
- "ftpAction": "actionputappend",
- "transferType": "ascii"
}, - "SharedCommunicationChannel": { },
- "CommunicationSetting": "custom"
}, - "@type": "PartnerCommunication",
- "AS2CommunicationOptions": {
- "@type": "AS2CommunicationOptions",
- "AS2SendSettings": {
- "@type": "AS2SendSettings",
- "AuthSettings": {
- "@type": "AS2BasicAuthInfo"
}, - "verifyHostname": false,
- "useDefaultSettings": false,
- "authenticationType": "NONE"
}, - "AS2SendOptions": {
- "@type": "AS2SendOptions",
- "AS2PartnerInfo": {
- "@type": "AS2PartnerInfo",
- "basicAuthEnabled": false,
- "rejectDuplicateMessages": false,
- "messagesToCheckForDuplicates": 100000,
- "ListenAuthSettings": {
- "@type": "AS2BasicAuthInfo"
}, - "ListenAttachmentSettings": {
- "@type": "AttachmentInfo"
}, - "requireEncryptedMessages": false,
- "requireSignedMessages": false
}, - "AS2MessageOptions": {
- "@type": "AS2MessageOptions",
- "encryptionAlgorithm": "tripledes",
- "dataContentType": "textplain",
- "signingDigestAlg": "SHA1",
- "signed": false,
- "encrypted": false,
- "compressed": false,
- "multipleAttachments": false,
- "enabledFoldedHeaders": false
}, - "AS2MDNOptions": {
- "@type": "AS2MDNOptions",
- "requestMDN": false,
- "synchronous": "sync",
- "signed": false,
- "useSSL": false,
- "mdnDigestAlg": "SHA1",
- "useExternalURL": false
}
}, - "SharedCommunicationChannel": {
- "@type": "SharedCommunicationChannel"
}, - "CommunicationSetting": "custom"
}, - "GenericCommunicationOptions": [
- {
- "connectorType": "my-custom-connector",
- "CommunicationSetting": "custom",
- "SharedCommunicationChannel": {
- "componentId": "696847e0-e0de-479b-894f-e82040e59ad0"
}, - "GenericConnectionConfig": {
- "useDefaultSettings": false,
- "field": [
- {
- "id": "remoteDirectory",
- "value": "/output",
- "type": "string"
}, - {
- "id": "host",
- "value": "ftp.boomi.com",
- "type": "string"
}, - {
- "id": "port",
- "value": "22",
- "type": "integer"
}, - {
- "id": "username",
- "value": "qauser",
- "type": "string"
}, - {
- "id": "authType",
- "value": "None",
- "type": "string"
}, - {
- "id": "keyPath",
- "value": "",
- "type": "string"
}, - {
- "id": "keyPairName",
- "value": "",
- "type": "string"
}, - {
- "id": "enablePooling",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "proxyEnable",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "proxyType",
- "value": "",
- "type": "string"
}, - {
- "id": "proxyHost",
- "value": "",
- "type": "string"
}, - {
- "id": "proxyPort",
- "value": "",
- "type": "integer"
}, - {
- "id": "proxyuserName",
- "value": "",
- "type": "string"
}, - {
- "id": "hostEntry",
- "value": "",
- "type": "string"
}, - {
- "id": "connectionTimeout",
- "type": "integer"
}, - {
- "id": "readTimeout",
- "type": "integer"
}, - {
- "id": "kex",
- "value": "curve25519-sha256,curve25519-sha256@libssh.org,ecdh-sha2-nistp256,ecdh-sha2-nistp384,ecdh-sha2-nistp521,diffie-hellman-group-exchange-sha256,diffie-hellman-group16-sha512,diffie-hellman-group18-sha512,diffie-hellman-group14-sha256",
- "type": "string"
}, - {
- "id": "server_host_key",
- "value": "ssh-ed25519,ecdsa-sha2-nistp256,ecdsa-sha2-nistp384,ecdsa-sha2-nistp521,rsa-sha2-512,rsa-sha2-256",
- "type": "string"
}, - {
- "id": "cipher.s2c",
- "value": "aes128-ctr,aes192-ctr,aes256-ctr,aes128-gcm@openssh.com,aes256-gcm@openssh.com",
- "type": "string"
}, - {
- "id": "cipher.c2s",
- "value": "aes128-ctr,aes192-ctr,aes256-ctr,aes128-gcm@openssh.com,aes256-gcm@openssh.com",
- "type": "string"
}, - {
- "id": "mac.s2c",
- "value": "hmac-sha2-256-etm@openssh.com,hmac-sha2-512-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-sha1",
- "type": "string"
}, - {
- "id": "mac.c2s",
- "value": "hmac-sha2-256-etm@openssh.com,hmac-sha2-512-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-sha1",
- "type": "string"
}, - {
- "id": "compression.s2c",
- "value": "none",
- "type": "string"
}, - {
- "id": "compression.c2s",
- "value": "none",
- "type": "string"
}, - {
- "id": "lang.s2c",
- "value": "",
- "type": "string"
}, - {
- "id": "lang.c2s",
- "value": "",
- "type": "string"
}, - {
- "id": "CheckKexes",
- "value": "sntrup761x25519-sha512@openssh.com,curve25519-sha256,curve25519-sha256@libssh.org,curve448-sha512",
- "type": "string"
}, - {
- "id": "CheckMacs",
- "value": "",
- "type": "string"
}, - {
- "id": "CheckCiphers",
- "value": "chacha20-poly1305@openssh.com",
- "type": "string"
}, - {
- "id": "CheckSignatures",
- "value": "ssh-ed25519,ssh-ed448",
- "type": "string"
}, - {
- "id": "sftpCustomConfiguration",
- "type": "customproperties"
}
]
}, - "GenericOperationConfig": [
- {
- "operationType": "QUERY",
- "customOperationType": "TPList",
- "requestProfileType": "none",
- "responseProfileType": "none",
- "useDefaultOperationOptions": false,
- "field": [
- {
- "id": "subDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "includeChildDirectories",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "maximumDepth",
- "value": "",
- "type": "integer"
}, - {
- "id": "fileName",
- "value": "",
- "type": "string"
}, - {
- "id": "fileNameStrategy",
- "value": "WILDCARD",
- "type": "string"
}, - {
- "id": "sortBy",
- "value": "",
- "type": "string"
}, - {
- "id": "sortOrder",
- "value": "",
- "type": "string"
}, - {
- "id": "count",
- "value": "-1",
- "type": "integer"
}, - {
- "id": "actionAfterRead",
- "value": "none",
- "type": "string"
}, - {
- "id": "destination",
- "value": "",
- "type": "string"
}
]
}, - {
- "operationType": "CREATE",
- "customOperationType": "TPWrite",
- "requestProfileType": "none",
- "responseProfileType": "none",
- "useDefaultOperationOptions": false,
- "field": [
- {
- "id": "subDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "createDir",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "actionIfFileExists",
- "value": "ERROR",
- "type": "string"
}, - {
- "id": "stagingDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "tempExtension",
- "value": "",
- "type": "string"
}, - {
- "id": "targetFileName",
- "value": "",
- "type": "string"
}, - {
- "id": "tempFileName",
- "value": "",
- "type": "string"
}
]
}
]
}
]
}, - "PartnerInfo": {
- "X12PartnerInfo": {
- "X12Options": {
- "elementDelimiter": {
- "delimiterValue": "stardelimited"
}, - "segmentTerminator": {
- "segmentTerminatorValue": "newline"
}, - "filteracknowledgements": false,
- "acknowledgementoption": "donotackitem",
- "envelopeoption": "groupall",
- "rejectDuplicateInterchange": false,
- "outboundInterchangeValidation": true,
- "outboundValidationOption": "filterError"
}, - "X12ControlInfo": {
- "ISAControlInfo": {
- "interchangeIdQualifier": "X12IDQUAL_01",
- "securityInformationQualifier": "X12SECQUAL_00",
- "authorizationInformationQualifier": "X12AUTHQUAL_00",
- "ackrequested": false,
- "testindicator": "P"
}, - "GSControlInfo": {
- "respagencycode": "T"
}
}
}
}, - "ContactInfo": {
- "contactName": "Tom Miller",
- "address1": "127 Comstock Ave.",
- "address2": "",
- "city": "Philadelphia",
- "state": "PA",
- "postalcode": "19100",
- "country": "US",
- "email": "tom@bestwholesaling.biz",
- "phone": "311 555-3579",
- "fax": "311 555-9753"
}, - "PartnerDocumentTypes": {
- "@type": "PartnerDocumentTypes",
- "PartnerDocumentType": [
- {
- "@type": "PartnerDocumentType",
- "typeId": "101",
- "profileId": "23456789-abcd-ef01-2345-6789abcdef01",
- "use999Ack": false,
- "useTA1Ack": false,
- "expectAckForOutbound": false,
- "validateOutboundTransactionSets": false,
- "qualifierValidation": true
}, - {
- "@type": "PartnerDocumentType",
- "typeId": "810",
- "profileId": "3456789a-bcde-4012-3456-789abcdef012",
- "use999Ack": false,
- "useTA1Ack": false,
- "expectAckForOutbound": false,
- "validateOutboundTransactionSets": false,
- "qualifierValidation": true
}
]
}, - "classification": "tradingpartner",
- "standard": "x12",
- "componentName": "Best Wholesaling",
- "folderName": "Home:TPs",
- "branchId": "QjoxNDMxNg",
- "branchName": "branch-1"
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "TradingPartnerComponent",
- "folderName": "Home:TPs",
- "componentName": "Best Wholesaling",
- "standard": "x12",
- "classification": "tradingpartner",
- "branchId": "QjoxNDMxNg",
- "branchName": "branch-1",
- "ContactInfo": {
- "contactName": "Tom Miller",
- "address1": "127 Comstock Ave.",
- "address2": null,
- "city": "Philadelphia",
- "state": "PA",
- "postalcode": "19100",
- "country": "US",
- "email": "tombestwholesaling.biz",
- "phone": "311 555-3579",
- "fax": "311 555-9753"
}, - "PartnerInfo": {
- "X12PartnerInfo": {
- "X12Options": {
- "envelopeoption": "groupall",
- "acknowledgementoption": "donotackitem",
- "filteracknowledgements": "false",
- "rejectDuplicateInterchange": "false",
- "outboundInterchangeValidation": "true",
- "outboundValidationOption": "filterError",
- "elementDelimiter": {
- "delimiterValue": "stardelimited"
}, - "segmentTerminator": {
- "segmentTerminatorValue": "newline"
}
}, - "X12ControlInfo": {
- "ISAControlInfo": {
- "testindicator": "P",
- "ackrequested": "false",
- "authorizationInformationQualifier": "X12AUTHQUAL_00",
- "securityInformationQualifier": "X12SECQUAL_00",
- "interchangeIdQualifier": "X12IDQUAL_01"
}, - "GSControlInfo": {
- "respagencycode": "T"
}
}
}
}, - "PartnerCommunication": {
- "FTPCommunicationOptions": {
- "CommunicationSetting": "custom",
- "SharedCommunicationChannel": {
- "@type": "SharedCommunicationChannel"
}, - "FTPSettings": {
- "connectionMode": "active",
- "useDefaultSettings": "false",
- "host": "ftp.bestwholesaling.com",
- "port": "1010",
- "user": "tom.miller",
- "FTPSSLOptions": {
- "sslmode": "none",
- "useClientAuthentication": "false"
}
}, - "FTPGetOptions": {
- "transferType": "ascii",
- "ftpAction": "actionget",
- "useDefaultGetOptions": "false",
- "remoteDirectory": "/usr/local/bestwholesaling/outbox",
- "fileToMove": "*.xml",
- "maxFileCount": "200"
}, - "FTPSendOptions": {
- "transferType": "ascii",
- "ftpAction": "actionputappend",
- "useDefaultSendOptions": "false",
- "remoteDirectory": "/home/tommiller/new",
- "moveToDirectory": "/home/tommiller/inbox"
}, - "@type": "FTPCommunicationOptions"
}, - "@type": "PartnerCommunication",
- "AS2CommunicationOptions": {
- "@type": "AS2CommunicationOptions",
- "AS2SendSettings": {
- "@type": "AS2SendSettings",
- "AuthSettings": {
- "@type": "AS2BasicAuthInfo"
}, - "verifyHostname": false,
- "useDefaultSettings": false,
- "authenticationType": "NONE"
}, - "AS2SendOptions": {
- "@type": "AS2SendOptions",
- "AS2PartnerInfo": {
- "@type": "AS2PartnerInfo",
- "basicAuthEnabled": false,
- "rejectDuplicateMessages": false,
- "messagesToCheckForDuplicates": 100000,
- "ListenAuthSettings": {
- "@type": "AS2BasicAuthInfo"
}, - "ListenAttachmentSettings": {
- "@type": "AttachmentInfo"
}, - "requireEncryptedMessages": false,
- "requireSignedMessages": false
}, - "AS2MessageOptions": {
- "@type": "AS2MessageOptions",
- "encryptionAlgorithm": "tripledes",
- "dataContentType": "textplain",
- "signingDigestAlg": "SHA1",
- "signed": false,
- "encrypted": false,
- "compressed": false,
- "multipleAttachments": false,
- "enabledFoldedHeaders": false
}, - "AS2MDNOptions": {
- "@type": "AS2MDNOptions",
- "requestMDN": false,
- "synchronous": "sync",
- "signed": false,
- "useSSL": false,
- "mdnDigestAlg": "SHA1",
- "useExternalURL": false
}
}, - "SharedCommunicationChannel": {
- "@type": "SharedCommunicationChannel"
}, - "CommunicationSetting": "custom"
}, - "GenericCommunicationOptions": [
- {
- "connectorType": "my-custom-connector",
- "CommunicationSetting": "custom",
- "SharedCommunicationChannel": {
- "componentId": "696847e0-e0de-479b-894f-e82040e59ad0"
}, - "GenericConnectionConfig": {
- "useDefaultSettings": false,
- "field": [
- {
- "id": "remoteDirectory",
- "value": "/output",
- "type": "string"
}, - {
- "id": "host",
- "value": "ftp.boomi.com",
- "type": "string"
}, - {
- "id": "port",
- "value": "22",
- "type": "integer"
}, - {
- "id": "username",
- "value": "qauser",
- "type": "string"
}, - {
- "id": "password",
- "type": "password"
}, - {
- "id": "authType",
- "value": "None",
- "type": "string"
}, - {
- "id": "keyPath",
- "value": "",
- "type": "string"
}, - {
- "id": "keyPswrd",
- "type": "password"
}, - {
- "id": "prvkeyContent",
- "type": "password"
}, - {
- "id": "keyContentPwd",
- "type": "password"
}, - {
- "id": "pubkeyContent",
- "type": "password"
}, - {
- "id": "keyPairName",
- "value": "",
- "type": "string"
}, - {
- "id": "enablePooling",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "proxyEnable",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "proxyType",
- "value": "",
- "type": "string"
}, - {
- "id": "proxyHost",
- "value": "",
- "type": "string"
}, - {
- "id": "proxyPort",
- "value": "",
- "type": "integer"
}, - {
- "id": "proxyuserName",
- "value": "",
- "type": "string"
}, - {
- "id": "proxyPassword",
- "type": "password"
}, - {
- "id": "hostEntry",
- "value": "",
- "type": "string"
}, - {
- "id": "connectionTimeout",
- "type": "integer"
}, - {
- "id": "readTimeout",
- "type": "integer"
}, - {
- "id": "kex",
- "value": "curve25519-sha256,curve25519-sha256@libssh.org,ecdh-sha2-nistp256,ecdh-sha2-nistp384,ecdh-sha2-nistp521,diffie-hellman-group-exchange-sha256,diffie-hellman-group16-sha512,diffie-hellman-group18-sha512,diffie-hellman-group14-sha256",
- "type": "string"
}, - {
- "id": "server_host_key",
- "value": "ssh-ed25519,ecdsa-sha2-nistp256,ecdsa-sha2-nistp384,ecdsa-sha2-nistp521,rsa-sha2-512,rsa-sha2-256",
- "type": "string"
}, - {
- "id": "cipher.s2c",
- "value": "aes128-ctr,aes192-ctr,aes256-ctr,aes128-gcm@openssh.com,aes256-gcm@openssh.com",
- "type": "string"
}, - {
- "id": "cipher.c2s",
- "value": "aes128-ctr,aes192-ctr,aes256-ctr,aes128-gcm@openssh.com,aes256-gcm@openssh.com",
- "type": "string"
}, - {
- "id": "mac.s2c",
- "value": "hmac-sha2-256-etm@openssh.com,hmac-sha2-512-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-sha1",
- "type": "string"
}, - {
- "id": "mac.c2s",
- "value": "hmac-sha2-256-etm@openssh.com,hmac-sha2-512-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-sha1",
- "type": "string"
}, - {
- "id": "compression.s2c",
- "value": "none",
- "type": "string"
}, - {
- "id": "compression.c2s",
- "value": "none",
- "type": "string"
}, - {
- "id": "lang.s2c",
- "value": "",
- "type": "string"
}, - {
- "id": "lang.c2s",
- "value": "",
- "type": "string"
}, - {
- "id": "CheckKexes",
- "value": "sntrup761x25519-sha512@openssh.com,curve25519-sha256,curve25519-sha256@libssh.org,curve448-sha512",
- "type": "string"
}, - {
- "id": "CheckMacs",
- "value": "",
- "type": "string"
}, - {
- "id": "CheckCiphers",
- "value": "chacha20-poly1305@openssh.com",
- "type": "string"
}, - {
- "id": "CheckSignatures",
- "value": "ssh-ed25519,ssh-ed448",
- "type": "string"
}, - {
- "id": "sftpCustomConfiguration",
- "type": "customproperties"
}
]
}, - "GenericOperationConfig": [
- {
- "operationType": "QUERY",
- "customOperationType": "TPList",
- "requestProfileType": "none",
- "responseProfileType": "none",
- "useDefaultOperationOptions": false,
- "field": [
- {
- "id": "subDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "includeChildDirectories",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "maximumDepth",
- "value": "",
- "type": "integer"
}, - {
- "id": "fileName",
- "value": "",
- "type": "string"
}, - {
- "id": "fileNameStrategy",
- "value": "WILDCARD",
- "type": "string"
}, - {
- "id": "sortBy",
- "value": "",
- "type": "string"
}, - {
- "id": "sortOrder",
- "value": "",
- "type": "string"
}, - {
- "id": "count",
- "value": "-1",
- "type": "integer"
}, - {
- "id": "actionAfterRead",
- "value": "none",
- "type": "string"
}, - {
- "id": "destination",
- "value": "",
- "type": "string"
}
]
}, - {
- "operationType": "CREATE",
- "customOperationType": "TPWrite",
- "requestProfileType": "none",
- "responseProfileType": "none",
- "useDefaultOperationOptions": false,
- "field": [
- {
- "id": "subDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "createDir",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "actionIfFileExists",
- "value": "ERROR",
- "type": "string"
}, - {
- "id": "stagingDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "tempExtension",
- "value": "",
- "type": "string"
}, - {
- "id": "targetFileName",
- "value": "",
- "type": "string"
}, - {
- "id": "tempFileName",
- "value": "",
- "type": "string"
}
]
}
]
}
]
}, - "PartnerDocumentTypes": {
- "PartnerDocumentType": [
- {
- "typeId": "101",
- "profileId": "23456789-abcd-ef01-2345-6789abcdef01",
- "use999Ack": "false",
- "useTA1Ack": "false",
- "expectAckForOutbound": "false",
- "validateOutboundTransactionSets": "false",
- "qualifierValidation": "true"
}, - {
- "typeId": "810",
- "profileId": "3456789a-bcde-4012-3456-789abcdef012",
- "use999Ack": "false",
- "useTA1Ack": "false",
- "expectAckForOutbound": "false",
- "validateOutboundTransactionSets": "false",
- "qualifierValidation": "true"
}
]
}
}Retrieves an instance of a TradingPartnerComponent object
The ordinary GET operation returns a single Trading Partner Component object based on the supplied ID. A GET operation specifying the ID of a deleted Trading Partner component retrieves the component. In the component, the deleted field’s value is true.
Authorizations:
path Parameters
| id required | string Unique identifier componentId for the Trading Partner component in UUID format. System-generated when created. |
Responses
Response Schema:
required | object (ContactInfo) |
required | object (PartnerCommunication) |
required | object (PartnerDocumentTypes) |
required | object (PartnerInfo) |
| PartnerCommunicationTypes | Array of strings |
| branchId | string |
| branchName | string |
| classification | string Enum: "tradingpartner" "mycompany" |
| componentId | string |
| componentName | string |
| deleted | boolean |
| description | string |
| folderId | integer <int64> |
| folderName | string |
| identifier | string |
| organizationId | string |
| standard | string Enum: "x12" "edifact" "hl7" "custom" "rosettanet" "tradacoms" "odette" |
Response samples
- 200
- 403
- 410
- 503
{- "@type": "TradingPartnerComponent",
- "ContactInfo": {
- "@type": "ContactInfo",
- "contactName": "Tom Miller",
- "address1": "127 Comstock Ave.",
- "address2": "",
- "city": "Philadelphia",
- "state": "PA",
- "postalcode": "19100",
- "country": "US",
- "email": "tom@bestwholesaling.biz",
- "phone": "311 555-3579",
- "fax": "311 555-9753"
}, - "PartnerInfo": {
- "@type": "PartnerInfo",
- "X12PartnerInfo": {
- "@type": "X12PartnerInfo",
- "X12Options": {
- "@type": "X12Options",
- "elementDelimiter": {
- "@type": "EdiDelimiter",
- "delimiterValue": "stardelimited"
}, - "segmentTerminator": {
- "@type": "EdiSegmentTerminator",
- "segmentTerminatorValue": "newline"
}, - "filteracknowledgements": false,
- "acknowledgementoption": "donotackitem",
- "envelopeoption": "groupall",
- "rejectDuplicateInterchange": false,
- "outboundInterchangeValidation": true,
- "outboundValidationOption": "filterError",
- "X12ControlInfo": {
- "@type": "X12ControlInfo",
- "ISAControlInfo": {
- "@type": "ISAControlInfo",
- "interchangeIdQualifier": "X12IDQUAL_01",
- "securityInformationQualifier": "X12SECQUAL_00",
- "authorizationInformationQualifier": "X12AUTHQUAL_00",
- "ackrequested": false,
- "testindicator": "P"
}, - "GSControlInfo": {
- "@type": "GSControlInfo",
- "respagencycode": "T"
}
}
}, - "X12ControlInfo": {
- "@type": "X12ControlInfo",
- "ISAControlInfo": {
- "@type": "ISAControlInfo",
- "interchangeIdQualifier": "X12IDQUAL_01",
- "securityInformationQualifier": "X12SECQUAL_00",
- "authorizationInformationQualifier": "X12AUTHQUAL_00",
- "ackrequested": false,
- "testindicator": "P"
}, - "GSControlInfo": {
- "@type": "GSControlInfo",
- "respagencycode": "T"
}
}
}
}, - "PartnerCommunication": {
- "@type": "PartnerCommunication",
- "FTPCommunicationOptions": {
- "@type": "FTPCommunicationOptions",
- "FTPSettings": {
- "@type": "FTPSettings",
- "host": "ftp.bestwholesaling.com",
- "port": [
- "BigInteger",
- 1010
], - "user": "tom.miller",
- "FTPSSLOptions": {
- "@type": "FTPSSLOptions",
- "useClientAuthentication": false,
- "sslmode": "none"
}, - "useDefaultSettings": false,
- "connectionMode": "active"
}, - "FTPGetOptions": {
- "@type": "FTPGetOptions",
- "remoteDirectory": "/usr/local/bestwholesaling/outbox",
- "fileToMove": "*.xml",
- "maxFileCount": [
- "BigInteger",
- 200
], - "useDefaultGetOptions": false,
- "ftpAction": "actionget",
- "transferType": "ascii"
}, - "FTPSendOptions": {
- "@type": "FTPSendOptions",
- "remoteDirectory": "/home/tommiller/new",
- "moveToDirectory": "/home/tommiller/inbox",
- "useDefaultSendOptions": false,
- "ftpAction": "actionputappend",
- "transferType": "ascii"
}, - "SharedCommunicationChannel": {
- "@type": "SharedCommunicationChannel"
}, - "CommunicationSetting": "custom"
}, - "AS2CommunicationOptions": {
- "@type": "AS2CommunicationOptions",
- "AS2SendSettings": {
- "@type": "AS2SendSettings",
- "AuthSettings": {
- "@type": "AS2BasicAuthInfo"
}, - "verifyHostname": false,
- "useDefaultSettings": false,
- "authenticationType": "NONE"
}, - "AS2SendOptions": {
- "@type": "AS2SendOptions",
- "AS2PartnerInfo": {
- "@type": "AS2PartnerInfo",
- "basicAuthEnabled": false,
- "rejectDuplicateMessages": false,
- "messagesToCheckForDuplicates": 100000,
- "ListenAuthSettings": {
- "@type": "AS2BasicAuthInfo"
}, - "ListenAttachmentSettings": {
- "@type": "AttachmentInfo"
}, - "requireEncryptedMessages": false,
- "requireSignedMessages": false
}, - "AS2MessageOptions": {
- "@type": "AS2MessageOptions",
- "encryptionAlgorithm": "tripledes",
- "dataContentType": "textplain",
- "signingDigestAlg": "SHA1",
- "signed": false,
- "encrypted": false,
- "compressed": false,
- "multipleAttachments": false,
- "enabledFoldedHeaders": false
}, - "AS2MDNOptions": {
- "@type": "AS2MDNOptions",
- "requestMDN": false,
- "synchronous": "sync",
- "signed": false,
- "useSSL": false,
- "mdnDigestAlg": "SHA1",
- "useExternalURL": false
}
}, - "SharedCommunicationChannel": {
- "@type": "SharedCommunicationChannel"
}, - "CommunicationSetting": "custom"
}, - "GenericCommunicationOptions": [
- {
- "connectorType": "my-custom-connector",
- "CommunicationSetting": "custom",
- "SharedCommunicationChannel": {
- "componentId": "b16cd020-ce47-429c-9c64-d4cd78a007de"
}, - "GenericConnectionConfig": {
- "field": [
- {
- "id": "host",
- "value": "sftp.example.com",
- "type": "string"
}, - {
- "id": "port",
- "value": "22",
- "type": "integer"
}, - {
- "id": "username",
- "value": "testuser",
- "type": "string"
}, - {
- "id": "password",
- "value": "********",
- "type": "password"
}, - {
- "id": "authType",
- "value": "None",
- "type": "string"
}
]
}, - "GenericOperationConfig": [
- {
- "operationType": "CREATE",
- "customOperationType": "TPWrite",
- "requestProfileType": "binary",
- "responseProfileType": "binary",
- "useDefaultOperationOptions": false,
- "field": [
- {
- "id": "subDirectory",
- "value": "/outbox",
- "type": "string"
}, - {
- "id": "createDir",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "actionIfFileExists",
- "value": "ERROR",
- "type": "string"
}
]
}, - {
- "operationType": "QUERY",
- "customOperationType": "TPList",
- "requestProfileType": "binary",
- "responseProfileType": "none",
- "useDefaultOperationOptions": false,
- "field": [
- {
- "id": "subDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "fileName",
- "value": "",
- "type": "string"
}, - {
- "id": "fileNameStrategy",
- "value": "WILDCARD",
- "type": "string"
}, - {
- "id": "count",
- "value": "-1",
- "type": "integer"
}, - {
- "id": "actionAfterRead",
- "value": "none",
- "type": "string"
}
]
}
]
}
]
}, - "PartnerDocumentTypes": {
- "@type": "PartnerDocumentTypes",
- "PartnerDocumentType": [
- {
- "@type": "PartnerDocumentType",
- "typeId": "101",
- "profileId": "23456789-abcd-ef01-2345-6789abcdef01",
- "use999Ack": false,
- "useTA1Ack": false,
- "expectAckForOutbound": false,
- "validateOutboundTransactionSets": false,
- "qualifierValidation": true
}, - {
- "@type": "PartnerDocumentType",
- "typeId": "810",
- "profileId": "3456789a-bcde-4012-3456-789abcdef012",
- "use999Ack": false,
- "useTA1Ack": false,
- "expectAckForOutbound": false,
- "validateOutboundTransactionSets": false,
- "qualifierValidation": true
}
]
}, - "classification": "tradingpartner",
- "standard": "x12",
- "componentName": "Best Wholesaling",
- "componentId": "12345678-9abc-def0-1234-56789abcdef0",
- "folderName": "Home:TPs",
- "folderId": 11356,
- "branchId": "QjoxNDMxNg",
- "branchName": "branch-1"
}Modifies or updates a TradingPartnerComponent object
This operation overwrites the Trading Partner Component object with the specified component ID except as described:
- If the fields are empty, an UPDATE operation specifying the organizationId field populates the ContactInformation fields with the data from the referenced Organization component. However, if those fields have values, they are not overwritten. An UPDATE operation specifying the ID of a deleted Trading Partner component restores the component to a non-deleted state, assuming the request is otherwise valid.
Authorizations:
path Parameters
| id required | string Unique identifier componentId for the Trading Partner component in UUID format. System-generated when created. |
Request Body schema: optional
required | object (ContactInfo) |
required | object (PartnerCommunication) |
required | object (PartnerDocumentTypes) |
required | object (PartnerInfo) |
| PartnerCommunicationTypes | Array of strings |
| branchId | string |
| branchName | string |
| classification | string Enum: "tradingpartner" "mycompany" |
| componentId | string |
| componentName | string |
| deleted | boolean |
| description | string |
| folderId | integer <int64> |
| folderName | string |
| identifier | string |
| organizationId | string |
| standard | string Enum: "x12" "edifact" "hl7" "custom" "rosettanet" "tradacoms" "odette" |
Responses
Response Schema:
required | object (ContactInfo) |
required | object (PartnerCommunication) |
required | object (PartnerDocumentTypes) |
required | object (PartnerInfo) |
| PartnerCommunicationTypes | Array of strings |
| branchId | string |
| branchName | string |
| classification | string Enum: "tradingpartner" "mycompany" |
| componentId | string |
| componentName | string |
| deleted | boolean |
| description | string |
| folderId | integer <int64> |
| folderName | string |
| identifier | string |
| organizationId | string |
| standard | string Enum: "x12" "edifact" "hl7" "custom" "rosettanet" "tradacoms" "odette" |
Request samples
- Payload
{- "PartnerCommunication": {
- "FTPCommunicationOptions": {
- "FTPSettings": {
- "host": "ftp.bestwholesaling.com",
- "port": [
- "BigInteger",
- 1010
], - "user": "rachel.lewis",
- "FTPSSLOptions": {
- "useClientAuthentication": false,
- "sslmode": "none"
}, - "useDefaultSettings": false,
- "connectionMode": "active"
}, - "FTPGetOptions": {
- "remoteDirectory": "/usr/local/bestwholesaling/outbox",
- "fileToMove": "*.xml",
- "maxFileCount": [
- "BigInteger",
- 200
], - "useDefaultGetOptions": false,
- "ftpAction": "actionget",
- "transferType": "ascii"
}, - "FTPSendOptions": {
- "remoteDirectory": "/home/rachellewis/new",
- "moveToDirectory": "/home/rachellewis/inbox",
- "useDefaultSendOptions": false,
- "ftpAction": "actionputappend",
- "transferType": "ascii"
}, - "SharedCommunicationChannel": { },
- "CommunicationSetting": "custom"
}, - "@type": "PartnerCommunication",
- "AS2CommunicationOptions": {
- "@type": "AS2CommunicationOptions",
- "AS2SendSettings": {
- "@type": "AS2SendSettings",
- "AuthSettings": {
- "@type": "AS2BasicAuthInfo"
}, - "verifyHostname": false,
- "useDefaultSettings": false,
- "authenticationType": "NONE"
}, - "AS2SendOptions": {
- "@type": "AS2SendOptions",
- "AS2PartnerInfo": {
- "@type": "AS2PartnerInfo",
- "basicAuthEnabled": false,
- "rejectDuplicateMessages": false,
- "messagesToCheckForDuplicates": 100000,
- "ListenAuthSettings": {
- "@type": "AS2BasicAuthInfo"
}, - "ListenAttachmentSettings": {
- "@type": "AttachmentInfo"
}, - "requireEncryptedMessages": false,
- "requireSignedMessages": false
}, - "AS2MessageOptions": {
- "@type": "AS2MessageOptions",
- "encryptionAlgorithm": "tripledes",
- "dataContentType": "textplain",
- "signingDigestAlg": "SHA1",
- "signed": false,
- "encrypted": false,
- "compressed": false,
- "multipleAttachments": false,
- "enabledFoldedHeaders": false
}, - "AS2MDNOptions": {
- "@type": "AS2MDNOptions",
- "requestMDN": false,
- "synchronous": "sync",
- "signed": false,
- "useSSL": false,
- "mdnDigestAlg": "SHA1",
- "useExternalURL": false
}
}, - "SharedCommunicationChannel": {
- "@type": "SharedCommunicationChannel"
}, - "CommunicationSetting": "custom"
}, - "GenericCommunicationOptions": [
- {
- "connectorType": "my-custom-connector",
- "CommunicationSetting": "custom",
- "SharedCommunicationChannel": {
- "componentId": "696847e0-e0de-479b-894f-e82040e59ad0"
}, - "GenericConnectionConfig": {
- "useDefaultSettings": false,
- "field": [
- {
- "id": "remoteDirectory",
- "value": "/output",
- "type": "string"
}, - {
- "id": "host",
- "value": "ftp.boomi.com",
- "type": "string"
}, - {
- "id": "port",
- "value": "22",
- "type": "integer"
}, - {
- "id": "username",
- "value": "qauser",
- "type": "string"
}, - {
- "id": "authType",
- "value": "None",
- "type": "string"
}, - {
- "id": "keyPath",
- "value": "",
- "type": "string"
}, - {
- "id": "keyPairName",
- "value": "",
- "type": "string"
}, - {
- "id": "enablePooling",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "proxyEnable",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "proxyType",
- "value": "",
- "type": "string"
}, - {
- "id": "proxyHost",
- "value": "",
- "type": "string"
}, - {
- "id": "proxyPort",
- "value": "",
- "type": "integer"
}, - {
- "id": "proxyuserName",
- "value": "",
- "type": "string"
}, - {
- "id": "hostEntry",
- "value": "",
- "type": "string"
}, - {
- "id": "connectionTimeout",
- "type": "integer"
}, - {
- "id": "readTimeout",
- "type": "integer"
}, - {
- "id": "kex",
- "value": "curve25519-sha256,curve25519-sha256@libssh.org,ecdh-sha2-nistp256,ecdh-sha2-nistp384,ecdh-sha2-nistp521,diffie-hellman-group-exchange-sha256,diffie-hellman-group16-sha512,diffie-hellman-group18-sha512,diffie-hellman-group14-sha256",
- "type": "string"
}, - {
- "id": "server_host_key",
- "value": "ssh-ed25519,ecdsa-sha2-nistp256,ecdsa-sha2-nistp384,ecdsa-sha2-nistp521,rsa-sha2-512,rsa-sha2-256",
- "type": "string"
}, - {
- "id": "cipher.s2c",
- "value": "aes128-ctr,aes192-ctr,aes256-ctr,aes128-gcm@openssh.com,aes256-gcm@openssh.com",
- "type": "string"
}, - {
- "id": "cipher.c2s",
- "value": "aes128-ctr,aes192-ctr,aes256-ctr,aes128-gcm@openssh.com,aes256-gcm@openssh.com",
- "type": "string"
}, - {
- "id": "mac.s2c",
- "value": "hmac-sha2-256-etm@openssh.com,hmac-sha2-512-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-sha1",
- "type": "string"
}, - {
- "id": "mac.c2s",
- "value": "hmac-sha2-256-etm@openssh.com,hmac-sha2-512-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-sha1",
- "type": "string"
}, - {
- "id": "compression.s2c",
- "value": "none",
- "type": "string"
}, - {
- "id": "compression.c2s",
- "value": "none",
- "type": "string"
}, - {
- "id": "lang.s2c",
- "value": "",
- "type": "string"
}, - {
- "id": "lang.c2s",
- "value": "",
- "type": "string"
}, - {
- "id": "CheckKexes",
- "value": "sntrup761x25519-sha512@openssh.com,curve25519-sha256,curve25519-sha256@libssh.org,curve448-sha512",
- "type": "string"
}, - {
- "id": "CheckMacs",
- "value": "",
- "type": "string"
}, - {
- "id": "CheckCiphers",
- "value": "chacha20-poly1305@openssh.com",
- "type": "string"
}, - {
- "id": "CheckSignatures",
- "value": "ssh-ed25519,ssh-ed448",
- "type": "string"
}, - {
- "id": "sftpCustomConfiguration",
- "type": "customproperties"
}
]
}, - "GenericOperationConfig": [
- {
- "operationType": "QUERY",
- "customOperationType": "TPList",
- "requestProfileType": "none",
- "responseProfileType": "none",
- "useDefaultOperationOptions": false,
- "field": [
- {
- "id": "subDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "includeChildDirectories",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "maximumDepth",
- "value": "",
- "type": "integer"
}, - {
- "id": "fileName",
- "value": "",
- "type": "string"
}, - {
- "id": "fileNameStrategy",
- "value": "WILDCARD",
- "type": "string"
}, - {
- "id": "sortBy",
- "value": "",
- "type": "string"
}, - {
- "id": "sortOrder",
- "value": "",
- "type": "string"
}, - {
- "id": "count",
- "value": "-1",
- "type": "integer"
}, - {
- "id": "actionAfterRead",
- "value": "none",
- "type": "string"
}, - {
- "id": "destination",
- "value": "",
- "type": "string"
}
]
}, - {
- "operationType": "CREATE",
- "customOperationType": "TPWrite",
- "requestProfileType": "none",
- "responseProfileType": "none",
- "useDefaultOperationOptions": false,
- "field": [
- {
- "id": "subDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "createDir",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "actionIfFileExists",
- "value": "ERROR",
- "type": "string"
}, - {
- "id": "stagingDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "tempExtension",
- "value": "",
- "type": "string"
}, - {
- "id": "targetFileName",
- "value": "",
- "type": "string"
}, - {
- "id": "tempFileName",
- "value": "",
- "type": "string"
}
]
}
]
}
]
}, - "PartnerInfo": {
- "X12PartnerInfo": {
- "X12Options": {
- "elementDelimiter": {
- "delimiterValue": "stardelimited"
}, - "segmentTerminator": {
- "segmentTerminatorValue": "newline"
}, - "filteracknowledgements": false,
- "acknowledgementoption": "donotackitem",
- "envelopeoption": "groupall",
- "rejectDuplicateInterchange": false,
- "outboundInterchangeValidation": true,
- "outboundValidationOption": "filterError"
}, - "X12ControlInfo": {
- "ISAControlInfo": {
- "interchangeIdQualifier": "X12IDQUAL_01",
- "securityInformationQualifier": "X12SECQUAL_00",
- "authorizationInformationQualifier": "X12AUTHQUAL_00",
- "ackrequested": false,
- "testindicator": "P"
}, - "GSControlInfo": {
- "respagencycode": "T"
}
}
}
}, - "ContactInfo": {
- "contactName": "Rachel Lewis",
- "address1": "127 Comstock Ave.",
- "address2": "",
- "city": "Philadelphia",
- "state": "PA",
- "postalcode": "19100",
- "country": "US",
- "email": "rachel@bestwholesaling.biz",
- "phone": "311 555-2468",
- "fax": "311 555-8642"
}, - "PartnerDocumentTypes": {
- "@type": "PartnerDocumentTypes",
- "PartnerDocumentType": [
- {
- "@type": "PartnerDocumentType",
- "typeId": "101",
- "profileId": "23456789-abcd-ef01-2345-6789abcdef01",
- "use999Ack": false,
- "useTA1Ack": false,
- "expectAckForOutbound": false,
- "validateOutboundTransactionSets": false,
- "qualifierValidation": true
}, - {
- "@type": "PartnerDocumentType",
- "typeId": "810",
- "profileId": "3456789a-bcde-4012-3456-789abcdef012",
- "use999Ack": false,
- "useTA1Ack": false,
- "expectAckForOutbound": false,
- "validateOutboundTransactionSets": false,
- "qualifierValidation": true
}
]
}, - "classification": "tradingpartner",
- "standard": "x12",
- "componentName": "Best Wholesaling",
- "componentId": "12345678-9abc-def0-1234-56789abcdef0",
- "folderName": "Home:TPs",
- "folderId": 11356,
- "branchId": "QjoxNDMxNg",
- "branchName": "branch-1"
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "TradingPartnerComponent",
- "folderId": "11356",
- "folderName": "Home:TPs",
- "branchId": "QjoxNDMxNg",
- "branchName": "branch-1",
- "componentId": "12345678-9abc-def0-1234-56789abcdef0",
- "componentName": "Best Wholesaling",
- "standard": "x12",
- "classification": "tradingpartner",
- "ContactInfo": {
- "contactName": "Rachel Lewis",
- "address1": "127 Comstock Ave.",
- "address2": null,
- "city": "Philadelphia",
- "state": "PA",
- "postalcode": "19100",
- "country": "US",
- "email": "rachelbestwholesaling.biz",
- "phone": "311 555-2468",
- "fax": "311 555-8642"
}, - "PartnerInfo": {
- "X12PartnerInfo": {
- "X12Options": {
- "envelopeoption": "groupall",
- "acknowledgementoption": "donotackitem",
- "filteracknowledgements": "false",
- "rejectDuplicateInterchange": "false",
- "outboundInterchangeValidation": "true",
- "outboundValidationOption": "filterError",
- "elementDelimiter": {
- "delimiterValue": "stardelimited"
}, - "segmentTerminator": {
- "segmentTerminatorValue": "newline"
}
}, - "X12ControlInfo": {
- "ISAControlInfo": {
- "testindicator": "P",
- "ackrequested": "false",
- "authorizationInformationQualifier": "X12AUTHQUAL_00",
- "securityInformationQualifier": "X12SECQUAL_00",
- "interchangeIdQualifier": "X12IDQUAL_01"
}, - "GSControlInfo": {
- "respagencycode": "T"
}
}
}
}, - "PartnerCommunication": {
- "FTPCommunicationOptions": {
- "CommunicationSetting": "custom",
- "SharedCommunicationChannel": {
- "@type": "SharedCommunicationChannel"
}, - "FTPSettings": {
- "connectionMode": "active",
- "useDefaultSettings": "false",
- "host": "ftp.bestwholesaling.com",
- "port": "1010",
- "user": "rachel.lewis",
- "FTPSSLOptions": {
- "sslmode": "none",
- "useClientAuthentication": "false"
}
}, - "FTPGetOptions": {
- "transferType": "ascii",
- "ftpAction": "actionget",
- "useDefaultGetOptions": "false",
- "remoteDirectory": "/usr/local/bestwholesaling/outbox",
- "fileToMove": "*.xml",
- "maxFileCount": "200"
}, - "FTPSendOptions": {
- "transferType": "ascii",
- "ftpAction": "actionputappend",
- "useDefaultSendOptions": "false",
- "remoteDirectory": "/home/rachellewis/new",
- "moveToDirectory": "/home/rachellewis/inbox"
}
}, - "@type": "PartnerCommunication",
- "AS2CommunicationOptions": {
- "@type": "AS2CommunicationOptions",
- "AS2SendSettings": {
- "@type": "AS2SendSettings",
- "AuthSettings": {
- "@type": "AS2BasicAuthInfo"
}, - "verifyHostname": false,
- "useDefaultSettings": false,
- "authenticationType": "NONE"
}, - "AS2SendOptions": {
- "@type": "AS2SendOptions",
- "AS2PartnerInfo": {
- "@type": "AS2PartnerInfo",
- "basicAuthEnabled": false,
- "rejectDuplicateMessages": false,
- "messagesToCheckForDuplicates": 100000,
- "ListenAuthSettings": {
- "@type": "AS2BasicAuthInfo"
}, - "ListenAttachmentSettings": {
- "@type": "AttachmentInfo"
}, - "requireEncryptedMessages": false,
- "requireSignedMessages": false
}, - "AS2MessageOptions": {
- "@type": "AS2MessageOptions",
- "encryptionAlgorithm": "tripledes",
- "dataContentType": "textplain",
- "signingDigestAlg": "SHA1",
- "signed": false,
- "encrypted": false,
- "compressed": false,
- "multipleAttachments": false,
- "enabledFoldedHeaders": false
}, - "AS2MDNOptions": {
- "@type": "AS2MDNOptions",
- "requestMDN": false,
- "synchronous": "sync",
- "signed": false,
- "useSSL": false,
- "mdnDigestAlg": "SHA1",
- "useExternalURL": false
}
}, - "SharedCommunicationChannel": {
- "@type": "SharedCommunicationChannel"
}, - "CommunicationSetting": "custom"
}, - "GenericCommunicationOptions": [
- {
- "connectorType": "my-custom-connector",
- "CommunicationSetting": "custom",
- "SharedCommunicationChannel": {
- "componentId": "696847e0-e0de-479b-894f-e82040e59ad0"
}, - "GenericConnectionConfig": {
- "useDefaultSettings": false,
- "field": [
- {
- "id": "remoteDirectory",
- "value": "/output",
- "type": "string"
}, - {
- "id": "host",
- "value": "ftp.boomi.com",
- "type": "string"
}, - {
- "id": "port",
- "value": "22",
- "type": "integer"
}, - {
- "id": "username",
- "value": "qauser",
- "type": "string"
}, - {
- "id": "password",
- "type": "password"
}, - {
- "id": "authType",
- "value": "None",
- "type": "string"
}, - {
- "id": "keyPath",
- "value": "",
- "type": "string"
}, - {
- "id": "keyPswrd",
- "type": "password"
}, - {
- "id": "prvkeyContent",
- "type": "password"
}, - {
- "id": "keyContentPwd",
- "type": "password"
}, - {
- "id": "pubkeyContent",
- "type": "password"
}, - {
- "id": "keyPairName",
- "value": "",
- "type": "string"
}, - {
- "id": "enablePooling",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "proxyEnable",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "proxyType",
- "value": "",
- "type": "string"
}, - {
- "id": "proxyHost",
- "value": "",
- "type": "string"
}, - {
- "id": "proxyPort",
- "value": "",
- "type": "integer"
}, - {
- "id": "proxyuserName",
- "value": "",
- "type": "string"
}, - {
- "id": "proxyPassword",
- "type": "password"
}, - {
- "id": "hostEntry",
- "value": "",
- "type": "string"
}, - {
- "id": "connectionTimeout",
- "type": "integer"
}, - {
- "id": "readTimeout",
- "type": "integer"
}, - {
- "id": "kex",
- "value": "curve25519-sha256,curve25519-sha256@libssh.org,ecdh-sha2-nistp256,ecdh-sha2-nistp384,ecdh-sha2-nistp521,diffie-hellman-group-exchange-sha256,diffie-hellman-group16-sha512,diffie-hellman-group18-sha512,diffie-hellman-group14-sha256",
- "type": "string"
}, - {
- "id": "server_host_key",
- "value": "ssh-ed25519,ecdsa-sha2-nistp256,ecdsa-sha2-nistp384,ecdsa-sha2-nistp521,rsa-sha2-512,rsa-sha2-256",
- "type": "string"
}, - {
- "id": "cipher.s2c",
- "value": "aes128-ctr,aes192-ctr,aes256-ctr,aes128-gcm@openssh.com,aes256-gcm@openssh.com",
- "type": "string"
}, - {
- "id": "cipher.c2s",
- "value": "aes128-ctr,aes192-ctr,aes256-ctr,aes128-gcm@openssh.com,aes256-gcm@openssh.com",
- "type": "string"
}, - {
- "id": "mac.s2c",
- "value": "hmac-sha2-256-etm@openssh.com,hmac-sha2-512-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-sha1",
- "type": "string"
}, - {
- "id": "mac.c2s",
- "value": "hmac-sha2-256-etm@openssh.com,hmac-sha2-512-etm@openssh.com,hmac-sha1-etm@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-sha1",
- "type": "string"
}, - {
- "id": "compression.s2c",
- "value": "none",
- "type": "string"
}, - {
- "id": "compression.c2s",
- "value": "none",
- "type": "string"
}, - {
- "id": "lang.s2c",
- "value": "",
- "type": "string"
}, - {
- "id": "lang.c2s",
- "value": "",
- "type": "string"
}, - {
- "id": "CheckKexes",
- "value": "sntrup761x25519-sha512@openssh.com,curve25519-sha256,curve25519-sha256@libssh.org,curve448-sha512",
- "type": "string"
}, - {
- "id": "CheckMacs",
- "value": "",
- "type": "string"
}, - {
- "id": "CheckCiphers",
- "value": "chacha20-poly1305@openssh.com",
- "type": "string"
}, - {
- "id": "CheckSignatures",
- "value": "ssh-ed25519,ssh-ed448",
- "type": "string"
}, - {
- "id": "sftpCustomConfiguration",
- "type": "customproperties"
}
]
}, - "GenericOperationConfig": [
- {
- "operationType": "QUERY",
- "customOperationType": "TPList",
- "requestProfileType": "none",
- "responseProfileType": "none",
- "useDefaultOperationOptions": false,
- "field": [
- {
- "id": "subDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "includeChildDirectories",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "maximumDepth",
- "value": "",
- "type": "integer"
}, - {
- "id": "fileName",
- "value": "",
- "type": "string"
}, - {
- "id": "fileNameStrategy",
- "value": "WILDCARD",
- "type": "string"
}, - {
- "id": "sortBy",
- "value": "",
- "type": "string"
}, - {
- "id": "sortOrder",
- "value": "",
- "type": "string"
}, - {
- "id": "count",
- "value": "-1",
- "type": "integer"
}, - {
- "id": "actionAfterRead",
- "value": "none",
- "type": "string"
}, - {
- "id": "destination",
- "value": "",
- "type": "string"
}
]
}, - {
- "operationType": "CREATE",
- "customOperationType": "TPWrite",
- "requestProfileType": "none",
- "responseProfileType": "none",
- "useDefaultOperationOptions": false,
- "field": [
- {
- "id": "subDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "createDir",
- "value": "false",
- "type": "boolean"
}, - {
- "id": "actionIfFileExists",
- "value": "ERROR",
- "type": "string"
}, - {
- "id": "stagingDirectory",
- "value": "",
- "type": "string"
}, - {
- "id": "tempExtension",
- "value": "",
- "type": "string"
}, - {
- "id": "targetFileName",
- "value": "",
- "type": "string"
}, - {
- "id": "tempFileName",
- "value": "",
- "type": "string"
}
]
}
]
}
]
}, - "PartnerDocumentTypes": {
- "PartnerDocumentType": [
- {
- "typeId": "101",
- "profileId": "23456789-abcd-ef01-2345-6789abcdef01",
- "use999Ack": "false",
- "useTA1Ack": "false",
- "expectAckForOutbound": "false",
- "validateOutboundTransactionSets": "false",
- "qualifierValidation": "true"
}, - {
- "typeId": "810",
- "profileId": "3456789a-bcde-4012-3456-789abcdef012",
- "use999Ack": "false",
- "useTA1Ack": "false",
- "expectAckForOutbound": "false",
- "validateOutboundTransactionSets": "false",
- "qualifierValidation": "true"
}
]
}
}Deletes a TradingPartnerComponent object
The DELETE operation deletes the Trading Partner Component object with a specific component ID. A DELETE operation specifying the ID of a deleted Trading Partner component returns a false response.
Authorizations:
path Parameters
| id required | string Unique identifier componentId for the Trading Partner component in UUID format. System-generated when created. |
Responses
Response samples
- 403
- 410
- 503
{- "message": "Access denied due to insufficient permissions."
}Retrieves multiple TradingPartnerComponent objects by identifier
The bulk GET operation returns multiple Trading Partner Component objects based on the supplied IDs, to a maximum of 100 records.
Authorizations:
Request Body schema: optional
Array of objects (BulkId) | |
| type | string Enum: "GET" "DELETE" "UPDATE" "CREATE" |
Responses
Response Schema:
Array of objects | |||||||||||
Array
| |||||||||||
Request samples
- Payload
{- "request": [
- {
- "id": "56789abc-def0-1234-5678-9abcdef01234"
}
], - "type": "GET"
}Response samples
- 200
- 403
- 410
- 503
{- "response": [
- {
- "Result": {
- "ContactInfo": {
- "address1": "string",
- "address2": "string",
- "city": "string",
- "contactName": "string",
- "country": "string",
- "email": "string",
- "fax": "string",
- "phone": "string",
- "postalcode": "string",
- "state": "string"
}, - "PartnerCommunication": {
- "AS2CommunicationOptions": {
- "AS2DefaultPartnerSettings": {
- "AuthSettings": {
- "password": "string",
- "user": "string"
}, - "authenticationType": "NONE",
- "clientSSLCertificate": {
- "alias": "string",
- "certificate": [
- "string"
], - "componentId": "string",
- "passPhrase": "string"
}, - "sslCertificate": {
- "alias": "string",
- "certificate": [
- "string"
], - "componentId": "string"
}, - "url": "string",
- "useDefaultSettings": true,
- "verifyHostname": false
}, - "AS2ReceiveOptions": {
- "AS2DefaultPartnerInfo": {
- "ListenAttachmentSettings": {
- "attachmentCache": "string",
- "attachmentContentType": [
- null
], - "multipleAttachments": true
}, - "ListenAuthSettings": {
- "password": "string",
- "user": "string"
}, - "as2Id": "string",
- "basicAuthEnabled": false,
- "clientSSLCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string"
}, - "enabledFoldedHeaders": false,
- "enabledLegacySMIME": true,
- "encryptionPublicCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string"
}, - "mdnSignaturePublicCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string"
}, - "messagesToCheckForDuplicates": 0,
- "rejectDuplicateMessages": true,
- "signingPublicCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string"
}, - "requireEncryptedMessages": true,
- "requireSignedMessages": true
}, - "AS2DefaultPartnerMDNOptions": {
- "externalURL": "string",
- "mdnClientSSLCert": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string",
- "passPhrase": "string"
}, - "mdnDigestAlg": "SHA1",
- "mdnSSLCert": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string"
}, - "requestMDN": true,
- "signed": true,
- "synchronous": "sync",
- "useExternalURL": true,
- "useSSL": true
}, - "AS2DefaultPartnerMessageOptions": {
- "attachmentCache": "string",
- "attachmentOption": "BATCH",
- "compressed": true,
- "dataContentType": "textplain",
- "encrypted": true,
- "encryptionAlgorithm": "na",
- "maxDocumentCount": 0,
- "multipleAttachments": true,
- "signed": true,
- "signingDigestAlg": "SHA1",
- "subject": "string"
}, - "AS2MyCompanyInfo": {
- "as2Id": "string",
- "enabledFoldedHeaders": false,
- "enabledLegacySMIME": true,
- "encryptionPrivateCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string",
- "passPhrase": "string"
}, - "mdnSignaturePrivateCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string",
- "passPhrase": "string"
}, - "signingPrivateCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string",
- "passPhrase": "string"
}
}
}, - "AS2SendOptions": {
- "AS2MDNOptions": {
- "externalURL": "string",
- "mdnClientSSLCert": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string",
- "passPhrase": "string"
}, - "mdnDigestAlg": "SHA1",
- "mdnSSLCert": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string"
}, - "requestMDN": true,
- "signed": true,
- "synchronous": "sync",
- "useExternalURL": true,
- "useSSL": true
}, - "AS2MessageOptions": {
- "attachmentCache": "string",
- "attachmentOption": "BATCH",
- "compressed": true,
- "dataContentType": "textplain",
- "encrypted": true,
- "encryptionAlgorithm": "na",
- "maxDocumentCount": 0,
- "multipleAttachments": true,
- "signed": true,
- "signingDigestAlg": "SHA1",
- "subject": "string"
}, - "AS2PartnerInfo": {
- "ListenAttachmentSettings": {
- "attachmentCache": "string",
- "attachmentContentType": [
- null
], - "multipleAttachments": true
}, - "ListenAuthSettings": {
- "password": "string",
- "user": "string"
}, - "as2Id": "string",
- "basicAuthEnabled": false,
- "clientSSLCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string"
}, - "enabledFoldedHeaders": false,
- "enabledLegacySMIME": true,
- "encryptionPublicCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string"
}, - "mdnSignaturePublicCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string"
}, - "messagesToCheckForDuplicates": 0,
- "rejectDuplicateMessages": true,
- "signingPublicCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string"
}, - "requireEncryptedMessages": true,
- "requireSignedMessages": true
}
}, - "AS2SendSettings": {
- "AuthSettings": {
- "password": "string",
- "user": "string"
}, - "authenticationType": "NONE",
- "clientSSLCertificate": {
- "alias": "string",
- "certificate": [
- "string"
], - "componentId": "string",
- "passPhrase": "string"
}, - "sslCertificate": {
- "alias": "string",
- "certificate": [
- "string"
], - "componentId": "string"
}, - "url": "string",
- "useDefaultSettings": true,
- "verifyHostname": false
}, - "CommunicationSetting": "default",
- "SharedCommunicationChannel": {
- "componentId": "string"
}
}, - "DiskCommunicationOptions": {
- "CommunicationSetting": "default",
- "DiskGetOptions": {
- "deleteAfterRead": true,
- "fileFilter": "string",
- "filterMatchType": "wildcard",
- "getDirectory": "string",
- "maxFileCount": 0,
- "useDefaultGetOptions": true
}, - "DiskSendOptions": {
- "createDirectory": true,
- "sendDirectory": "string",
- "useDefaultSendOptions": true,
- "writeOption": "unique"
}, - "SharedCommunicationChannel": {
- "componentId": "string"
}
}, - "FTPCommunicationOptions": {
- "CommunicationSetting": "default",
- "FTPGetOptions": {
- "fileToMove": "string",
- "ftpAction": "actionget",
- "maxFileCount": 0,
- "remoteDirectory": "string",
- "transferType": "ascii",
- "useDefaultGetOptions": true
}, - "FTPSendOptions": {
- "ftpAction": "actionputrename",
- "moveToDirectory": "string",
- "remoteDirectory": "string",
- "transferType": "ascii",
- "useDefaultSendOptions": true
}, - "FTPSettings": {
- "FTPSSLOptions": {
- "clientSSLCertificate": {
- "alias": "string",
- "certificate": [
- null
], - "componentId": "string",
- "passPhrase": "string"
}, - "sslmode": "none",
- "useClientAuthentication": true
}, - "connectionMode": "active",
- "host": "string",
- "password": "string",
- "port": 0,
- "useDefaultSettings": true,
- "user": "string"
}, - "SharedCommunicationChannel": {
- "componentId": "string"
}
}, - "HTTPCommunicationOptions": {
- "CommunicationSetting": "default",
- "HTTPGetOptions": {
- "dataContentType": "string",
- "followRedirects": true,
- "methodType": "GET",
- "pathElements": {
- "element": [
- {
- "name": null
}
]
}, - "reflectHeaders": {
- "element": [
- {
- "name": null
}
]
}, - "requestHeaders": {
- "header": [
- {
- "headerFieldName": null,
- "targetPropertyName": null
}
]
}, - "requestProfile": "string",
- "requestProfileType": "NONE",
- "responseHeaderMapping": {
- "header": [
- {
- "headerFieldName": null,
- "targetPropertyName": null
}
]
}, - "responseProfile": "string",
- "responseProfileType": "NONE",
- "returnErrors": true,
- "useDefaultOptions": true
}, - "HTTPListenOptions": {
- "mimePassthrough": true,
- "objectName": "string",
- "operationType": "string",
- "password": "string",
- "useDefaultListenOptions": true,
- "username": "string"
}, - "HTTPSendOptions": {
- "dataContentType": "string",
- "followRedirects": true,
- "methodType": "GET",
- "pathElements": {
- "element": [
- {
- "name": null
}
]
}, - "reflectHeaders": {
- "element": [
- {
- "name": null
}
]
}, - "requestHeaders": {
- "header": [
- {
- "headerFieldName": null,
- "targetPropertyName": null
}
]
}, - "requestProfile": "string",
- "requestProfileType": "NONE",
- "responseHeaderMapping": {
- "header": [
- {
- "headerFieldName": null,
- "targetPropertyName": null
}
]
}, - "responseProfile": "string",
- "responseProfileType": "NONE",
- "returnErrors": true,
- "returnResponses": true,
- "useDefaultOptions": true
}, - "HTTPSettings": {
- "HTTPAuthSettings": {
- "password": "string",
- "user": "string"
}, - "HTTPOAuth2Settings": {
- "accessTokenEndpoint": {
- "sslOptions": {
- "clientauth": null,
- "clientsslalias": null,
- "trustServerCert": null,
- "trustedcertalias": null
}, - "url": "string"
}, - "accessTokenParameters": {
- "parameter": [
- null
]
}, - "authorizationParameters": {
- "parameter": [
- null
]
}, - "authorizationTokenEndpoint": {
- "sslOptions": {
- "clientauth": null,
- "clientsslalias": null,
- "trustServerCert": null,
- "trustedcertalias": null
}, - "url": "string"
}, - "credentials": {
- "accessToken": "string",
- "accessTokenKey": "string",
- "clientId": "string",
- "clientSecret": "string",
- "useRefreshToken": true
}, - "grantType": "code",
- "scope": "string"
}, - "HTTPOAuthSettings": {
- "accessToken": "string",
- "accessTokenURL": "string",
- "authorizationURL": "string",
- "consumerKey": "string",
- "consumerSecret": "string",
- "realm": "string",
- "requestTokenURL": "string",
- "signatureMethod": "SHA1",
- "suppressBlankAccessToken": true,
- "tokenSecret": "string"
}, - "HTTPSSLOptions": {
- "clientauth": true,
- "clientsslalias": "string",
- "trustServerCert": true,
- "trustedcertalias": "string"
}, - "authenticationType": "NONE",
- "connectTimeout": 0,
- "cookieScope": "IGNORED",
- "readTimeout": 0,
- "url": "string",
- "useBasicAuth": true,
- "useCustomAuth": true,
- "useDefaultSettings": true
}, - "SharedCommunicationChannel": {
- "componentId": "string"
}
}, - "MLLPCommunicationOptions": {
- "MLLPSendSettings": {
- "MLLPSSLOptions": {
- "clientSSLAlias": "string",
- "sslAlias": "string",
- "useClientSSL": true,
- "useSSL": true
}, - "endBlock": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}, - "endData": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}, - "haltTimeout": false,
- "host": "string",
- "inactivityTimeout": 60,
- "maxConnections": 10,
- "maxRetry": 0,
- "persistent": false,
- "port": 0,
- "receiveTimeout": 120,
- "sendTimeout": 120,
- "startBlock": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}
}
}, - "OFTPCommunicationOptions": {
- "CommunicationSetting": "default",
- "OFTPConnectionSettings": {
- "clientSSLAlias": "string",
- "defaultOFTPConnectionSettings": {
- "clientSSLAlias": "string",
- "host": "string",
- "myPartnerInfo": {
- "clientSSLAlias": "string",
- "encrypting-certificate": "string",
- "session-challenge-certificate": "string",
- "sfidsec-encrypt": true,
- "sfidsec-sign": true,
- "sfidsign": true,
- "ssidcmpr": true,
- "ssidcode": "string",
- "ssidpswd": "string",
- "verifying-eerp-certificate": "string",
- "verifying-signature-certificate": "string"
}, - "port": 0,
- "sfidciph": 0,
- "ssidauth": true,
- "tls": true,
- "useClientSSL": true,
- "useGateway": true
}, - "host": "string",
- "myPartnerInfo": {
- "clientSSLAlias": "string",
- "encrypting-certificate": "string",
- "session-challenge-certificate": "string",
- "sfidsec-encrypt": true,
- "sfidsec-sign": true,
- "sfidsign": true,
- "ssidcmpr": true,
- "ssidcode": "string",
- "ssidpswd": "string",
- "verifying-eerp-certificate": "string",
- "verifying-signature-certificate": "string"
}, - "port": 0,
- "sfidciph": 0,
- "ssidauth": true,
- "tls": true,
- "useClientSSL": true,
- "useGateway": true
}, - "OFTPGetOptions": {
- "OFTPPartnerGroup": {
- "defaultPartnerInfo": {
- "clientSSLAlias": "string",
- "encrypting-certificate": "string",
- "session-challenge-certificate": "string",
- "sfidsec-encrypt": true,
- "sfidsec-sign": true,
- "sfidsign": true,
- "ssidcmpr": true,
- "ssidcode": "string",
- "ssidpswd": "string",
- "verifying-eerp-certificate": "string",
- "verifying-signature-certificate": "string"
}, - "myCompanyInfo": {
- "decrypting-certificate": "string",
- "session-authentication-certificate": "string",
- "signing-certificate": "string",
- "signing-eerp-certificate": "string",
- "ssidcode": "string",
- "ssidpswd": "string"
}, - "myPartnerInfo": {
- "clientSSLAlias": "string",
- "encrypting-certificate": "string",
- "session-challenge-certificate": "string",
- "sfidsec-encrypt": true,
- "sfidsec-sign": true,
- "sfidsign": true,
- "ssidcmpr": true,
- "ssidcode": "string",
- "ssidpswd": "string",
- "verifying-eerp-certificate": "string",
- "verifying-signature-certificate": "string"
}
}, - "partnerGroupId": "string"
}, - "OFTPSendOptions": {
- "OFTPPartnerGroup": {
- "defaultPartnerInfo": {
- "clientSSLAlias": "string",
- "encrypting-certificate": "string",
- "session-challenge-certificate": "string",
- "sfidsec-encrypt": true,
- "sfidsec-sign": true,
- "sfidsign": true,
- "ssidcmpr": true,
- "ssidcode": "string",
- "ssidpswd": "string",
- "verifying-eerp-certificate": "string",
- "verifying-signature-certificate": "string"
}, - "myCompanyInfo": {
- "decrypting-certificate": "string",
- "session-authentication-certificate": "string",
- "signing-certificate": "string",
- "signing-eerp-certificate": "string",
- "ssidcode": "string",
- "ssidpswd": "string"
}, - "myPartnerInfo": {
- "clientSSLAlias": "string",
- "encrypting-certificate": "string",
- "session-challenge-certificate": "string",
- "sfidsec-encrypt": true,
- "sfidsec-sign": true,
- "sfidsign": true,
- "ssidcmpr": true,
- "ssidcode": "string",
- "ssidpswd": "string",
- "verifying-eerp-certificate": "string",
- "verifying-signature-certificate": "string"
}
}, - "OFTPSendOptions": {
- "cd": true,
- "defaultPartnerSettings": {
- "cd": true,
- "operation": "string",
- "sfiddesc": "string",
- "sfiddsn": "string"
}, - "operation": "string",
- "sfiddesc": "string",
- "sfiddsn": "string"
}, - "partnerGroupId": "string"
}, - "OFTPServerListenOptions": {
- "OFTPListenOptions": {
- "GatewayPartnerGroup": {
- "defaultPartnerInfo": {
- "clientSSLAlias": null,
- "encrypting-certificate": null,
- "session-challenge-certificate": null,
- "sfidsec-encrypt": null,
- "sfidsec-sign": null,
- "sfidsign": null,
- "ssidcmpr": null,
- "ssidcode": null,
- "ssidpswd": null,
- "verifying-eerp-certificate": null,
- "verifying-signature-certificate": null
}, - "myCompanyInfo": {
- "decrypting-certificate": null,
- "session-authentication-certificate": null,
- "signing-certificate": null,
- "signing-eerp-certificate": null,
- "ssidcode": null,
- "ssidpswd": null
}, - "myPartnerInfo": {
- "clientSSLAlias": null,
- "encrypting-certificate": null,
- "session-challenge-certificate": null,
- "sfidsec-encrypt": null,
- "sfidsec-sign": null,
- "sfidsign": null,
- "ssidcmpr": null,
- "ssidcode": null,
- "ssidpswd": null,
- "verifying-eerp-certificate": null,
- "verifying-signature-certificate": null
}
}, - "operation": "string",
- "useGateway": true
}, - "OFTPPartnerGroup": {
- "defaultPartnerInfo": {
- "clientSSLAlias": "string",
- "encrypting-certificate": "string",
- "session-challenge-certificate": "string",
- "sfidsec-encrypt": true,
- "sfidsec-sign": true,
- "sfidsign": true,
- "ssidcmpr": true,
- "ssidcode": "string",
- "ssidpswd": "string",
- "verifying-eerp-certificate": "string",
- "verifying-signature-certificate": "string"
}, - "myCompanyInfo": {
- "decrypting-certificate": "string",
- "session-authentication-certificate": "string",
- "signing-certificate": "string",
- "signing-eerp-certificate": "string",
- "ssidcode": "string",
- "ssidpswd": "string"
}, - "myPartnerInfo": {
- "clientSSLAlias": "string",
- "encrypting-certificate": "string",
- "session-challenge-certificate": "string",
- "sfidsec-encrypt": true,
- "sfidsec-sign": true,
- "sfidsign": true,
- "ssidcmpr": true,
- "ssidcode": "string",
- "ssidpswd": "string",
- "verifying-eerp-certificate": "string",
- "verifying-signature-certificate": "string"
}
}, - "partnerGroupId": "string"
}, - "SharedCommunicationChannel": {
- "componentId": "string"
}
}, - "SFTPCommunicationOptions": {
- "CommunicationSetting": "default",
- "SFTPGetOptions": {
- "fileToMove": "string",
- "ftpAction": "actionget",
- "maxFileCount": 0,
- "moveToDirectory": "string",
- "moveToForceOverride": true,
- "remoteDirectory": "string",
- "useDefaultGetOptions": true
}, - "SFTPSendOptions": {
- "ftpAction": "actionputrename",
- "moveToDirectory": "string",
- "moveToForceOverride": true,
- "remoteDirectory": "string",
- "useDefaultSendOptions": true
}, - "SFTPSettings": {
- "SFTPProxySettings": {
- "host": "string",
- "password": "string",
- "port": 0,
- "proxyEnabled": true,
- "type": "ATOM",
- "user": "string"
}, - "SFTPSSHOptions": {
- "dhKeySizeMax1024": true,
- "knownHostEntry": "string",
- "sshkeyauth": true,
- "sshkeypassword": "string",
- "sshkeypath": "string"
}, - "host": "string",
- "password": "string",
- "port": 0,
- "useDefaultSettings": true,
- "user": "string"
}, - "SharedCommunicationChannel": {
- "componentId": "string"
}
}, - "GenericCommunicationOptions": [
- {
- "CommunicationSetting": "default",
- "GenericConnectionConfig": {
- "field": [
- {
- "customProperties": null,
- "encryptedValueSet": null,
- "id": null,
- "type": null,
- "usesEncryption": null,
- "value": null
}
], - "useDefaultSettings": true
}, - "GenericOperationConfig": [
- {
- "customOperationType": "string",
- "field": [
- null
], - "objectTypeId": "string",
- "objectTypeName": "string",
- "operationType": "string",
- "requestProfile": "string",
- "requestProfileName": "string",
- "requestProfileType": "string",
- "responseProfile": "string",
- "responseProfileName": "string",
- "responseProfileType": "string",
- "useDefaultOperationOptions": true
}
], - "SharedCommunicationChannel": {
- "componentId": "string"
}, - "connectorName": "string",
- "connectorType": "string"
}
]
}, - "PartnerCommunicationTypes": [
- "string"
], - "PartnerDocumentTypes": {
- "PartnerDocumentType": [
- {
- "expectAckForOutbound": true,
- "invalidDocumentRouting": "documentsPath",
- "name": "string",
- "profileId": "string",
- "qualifierValidation": true,
- "typeId": "string",
- "use999Ack": true,
- "useTA1Ack": true,
- "validateOutboundTransactionSets": true
}
]
}, - "PartnerInfo": {
- "CustomPartnerInfo": {
- "CustomControlInfo": {
- "messageId": "string",
- "messageIdQual": "string"
}, - "CustomOptions": {
- "outboundMessageValidation": true,
- "outboundValidationOption": "filterError",
- "rejectDuplicateMessage": true
}, - "customStandardId": "string"
}, - "EdifactPartnerInfo": {
- "EdifactControlInfo": {
- "UNBControlInfo": {
- "ackRequest": true,
- "appReference": "string",
- "commAgreement": "string",
- "interchangeAddress": "string",
- "interchangeId": "string",
- "interchangeIdQual": "EDIFACTIDQUAL_NA",
- "interchangeSubAddress": "string",
- "priority": "NA",
- "referencePassword": "string",
- "referencePasswordQualifier": "NA",
- "syntaxId": "UNOA",
- "syntaxVersion": "EDIFACTSYNTAXVERSION_1",
- "testIndicator": "EDIFACTTEST_NA"
}, - "UNGControlInfo": {
- "applicationId": "string",
- "applicationIdQual": "EDIFACTIDQUAL_NA",
- "useFunctionalGroups": true
}, - "UNHControlInfo": {
- "assocAssignedCode": "string",
- "commonAccessRef": "string",
- "controllingAgency": "AA",
- "release": "EDIFACTRELEASE_1",
- "version": "EDIFACTVERSION_1"
}
}, - "EdifactOptions": {
- "acknowledgementoption": "donotackitem",
- "compositeDelimiter": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}, - "elementDelimiter": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}, - "envelopeoption": "groupall",
- "filteracknowledgements": true,
- "includeUNA": true,
- "outboundInterchangeValidation": true,
- "outboundValidationOption": "filterError",
- "rejectDuplicateUNB": true,
- "segmentTerminator": {
- "segmentTerminatorSpecial": "string",
- "segmentTerminatorValue": "newline"
}
}
}, - "HL7PartnerInfo": {
- "HL7ControlInfo": {
- "MSHControlInfo": {
- "Application": {
- "namespaceId": "string",
- "universalId": "string",
- "universalIdType": "string"
}, - "Facility": {
- "namespaceId": "string",
- "universalId": "string",
- "universalIdType": "string"
}, - "NetworkAddress": {
- "namespaceId": "string",
- "universalId": "string",
- "universalIdType": "string"
}, - "ProcessingId": {
- "processingId": "D",
- "processingMode": "A"
}
}
}, - "HL7Options": {
- "acceptackoption": "AL",
- "appackoption": "AL",
- "batchoption": "none",
- "compositeDelimiter": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}, - "elementDelimiter": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}, - "filteracknowledgements": true,
- "outboundInterchangeValidation": true,
- "outboundValidationOption": "filterError",
- "rejectDuplicates": true,
- "segmentTerminator": {
- "segmentTerminatorSpecial": "string",
- "segmentTerminatorValue": "newline"
}, - "subCompositeDelimiter": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}
}
}, - "OdettePartnerInfo": {
- "OdetteControlInfo": {
- "OdetteUNBControlInfo": {
- "ackRequest": true,
- "appReference": "string",
- "commAgreement": "string",
- "interchangeAddress": "string",
- "interchangeId": "string",
- "interchangeIdQual": "ODETTEIDQUAL_NA",
- "interchangeSubAddress": "string",
- "priority": "NA",
- "referencePassword": "string",
- "referencePasswordQualifier": "NA",
- "syntaxId": "UNOA",
- "syntaxVersion": "ODETTESYNTAXVERSION_1",
- "testIndicator": "ODETTETEST_NA"
}, - "OdetteUNHControlInfo": {
- "assocAssignedCode": "string",
- "commonAccessRef": "string",
- "controllingAgency": "AA",
- "release": "ODETTERELEASE_1",
- "version": "ODETTEVERSION_1"
}
}, - "OdetteOptions": {
- "acknowledgementoption": "donotackitem",
- "compositeDelimiter": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}, - "elementDelimiter": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}, - "envelopeoption": "groupall",
- "filteracknowledgements": true,
- "includeUNA": true,
- "outboundInterchangeValidation": true,
- "outboundValidationOption": "filterError",
- "rejectDuplicateUNB": true,
- "segmentTerminator": {
- "segmentTerminatorSpecial": "string",
- "segmentTerminatorValue": "newline"
}
}
}, - "RosettaNetPartnerInfo": {
- "RosettaNetControlInfo": {
- "encryptionPublicCertificate": {
- "alias": "string",
- "certificate": [
- "string"
], - "componentId": "string"
}, - "globalPartnerClassificationCode": "string",
- "globalUsageCode": "Test",
- "partnerId": "string",
- "partnerIdType": "DUNS",
- "partnerLocation": "string",
- "signingPublicCertificate": {
- "alias": "string",
- "certificate": [
- "string"
], - "componentId": "string"
}, - "supplyChainCode": "string"
}, - "RosettaNetMessageOptions": {
- "attachmentCache": "string",
- "compressed": true,
- "contentTransferEncoding": "binary",
- "encryptServiceHeader": true,
- "encrypted": true,
- "encryptionAlgorithm": "na",
- "signatureDigestAlgorithm": "SHA1",
- "signed": true
}, - "RosettaNetOptions": {
- "filterSignals": true,
- "outboundDocumentValidation": true,
- "rejectDuplicateTransactions": true,
- "version": "v11"
}
}, - "TradacomsPartnerInfo": {
- "TradacomsControlInfo": {
- "STXControlInfo": {
- "interchangeId": "string",
- "interchangeIdQualifier": "string"
}
}, - "TradacomsOptions": {
- "compositeDelimiter": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}, - "elementDelimiter": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}, - "filterAcknowledgements": true,
- "segmentTerminator": {
- "segmentTerminatorSpecial": "string",
- "segmentTerminatorValue": "newline"
}, - "useReconciliationMessage": true
}
}, - "X12PartnerInfo": {
- "X12ControlInfo": {
- "GSControlInfo": {
- "applicationcode": "string",
- "gsVersion": "string",
- "respagencycode": "T"
}, - "isaControlInfo": {
- "ackrequested": true,
- "authorizationInformation": "string",
- "authorizationInformationQualifier": "X12AUTHQUAL_00",
- "componentElementSeparator": "string",
- "interchangeId": "string",
- "interchangeIdQualifier": "X12IDQUAL_01",
- "securityInformation": "string",
- "securityInformationQualifier": "X12SECQUAL_00",
- "standardIdentification": "string",
- "testindicator": "P",
- "version": "string"
}
}, - "X12Options": {
- "acknowledgementoption": "donotackitem",
- "elementDelimiter": {
- "delimiterSpecial": "string",
- "delimiterValue": "stardelimited"
}, - "envelopeoption": "groupall",
- "filteracknowledgements": true,
- "outboundInterchangeValidation": true,
- "outboundValidationOption": "filterError",
- "rejectDuplicateInterchange": true,
- "segmentTerminator": {
- "segmentTerminatorSpecial": "string",
- "segmentTerminatorValue": "newline"
}
}
}
}, - "branchId": "string",
- "branchName": "string",
- "classification": "tradingpartner",
- "componentId": "12345678-9abc-def0-1234-56789abcdef0",
- "componentName": "Best Wholesaling",
- "deleted": true,
- "description": "string",
- "folderId": "11356",
- "folderName": "Home:TPs",
- "identifier": "string",
- "organizationId": "string",
- "standard": "x12"
}, - "index": 0,
- "id": "string",
- "statusCode": 0,
- "errorMessage": "string"
}
]
}Queries for a TradingPartnerComponent object(s)
The QUERY operation returns each Trading Partner component that meets the specified filtering criteria.
- The name field in a QUERY filter represents the object’s componentName field.
- Only the LIKE operator is allowed with a name filter. Likewise, you can only use the EQUALS operator with a classification, standard, identifier filter, or a communication method filter (as2, disk, ftp, http, mllp, sftp). Filtering on a communication method field requests Trading Partner components by defining the communication method.
- If the QUERY request includes multiple filters, you can connect the filters with a logical AND operator. The QUERY request does not support the logical OR operator.
- The QUERY results omit the folderName field.
For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.
Note: The response includes a queryToken only when more than 100 results are available. Use the queryToken with the queryMore endpoint to retrieve additional results.
Authorizations:
Request Body schema: optional
Possible properties include: name, classification, standard, identifier, as2, disk, ftp, mllp, sftp, http, oftp
required | object | ||||||||||
| |||||||||||
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (TradingPartnerComponent) |
Request samples
- Payload
{- "QueryFilter": {
- "expression": {
- "argument": [
- "x12"
], - "operator": "EQUALS",
- "property": "standard"
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "QueryResult",
- "result": [
- {
- "@type": "TradingPartnerComponent",
- "PartnerCommunicationTypes": [
- "ftp"
], - "classification": "tradingpartner",
- "standard": "x12",
- "identifier": "BEST-WH",
- "componentName": "Best Wholesaling",
- "componentId": "12345678-9abc-def0-1234-56789abcdef0",
- "folderId": 11356,
- "branchId": "QjoxNDMxNg",
- "branchName": "branch-1"
}, - {
- "@type": "TradingPartnerComponent",
- "PartnerCommunicationTypes": [
- "ftp"
], - "classification": "mycompany",
- "standard": "x12",
- "identifier": "MY-X12",
- "componentName": "MyCompany-X12",
- "componentId": "fedcba09-8765-4321-fedc-ba0987654321",
- "folderId": 13340,
- "branchId": "QjoxNDMxNg",
- "branchName": "branch-1"
}
], - "numberOfResults": 2
}Retrieves additional results for a TradingPartnerComponent query
To learn about using queryMore, refer to the topic Query paging.
Authorizations:
Request Body schema: text/plainrequired
Query token from the previous query response used to retrieve the next page of results.
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (TradingPartnerComponent) |
Request samples
- Payload
/nd0PlROcmuUK8MV8KPzCVXwA/pgZZ0NfsYjhqLNyothPzrFIh0OQLP6Hq3ERMSAl38Dz3NV5otJ/0+a....
Response samples
- 200
- 403
- 410
- 503
{- "@type": "QueryResult",
- "result": [
- {
- "@type": "TradingPartnerComponent",
- "PartnerCommunicationTypes": [
- "ftp"
], - "classification": "tradingpartner",
- "standard": "x12",
- "identifier": "BEST-WH",
- "componentName": "Best Wholesaling",
- "componentId": "12345678-9abc-def0-1234-56789abcdef0",
- "folderId": 11356,
- "branchId": "QjoxNDMxNg",
- "branchName": "branch-1"
}, - {
- "@type": "TradingPartnerComponent",
- "PartnerCommunicationTypes": [
- "ftp"
], - "classification": "mycompany",
- "standard": "x12",
- "identifier": "MY-X12",
- "componentName": "MyCompany-X12",
- "componentId": "fedcba09-8765-4321-fedc-ba0987654321",
- "folderId": 13340,
- "branchId": "QjoxNDMxNg",
- "branchName": "branch-1"
}
], - "numberOfResults": 2
}